// miniprogram/pages/interList/interList.js
const app = getApp();
Page({
  oriList: [],
  pageSize: 20,
  /**
   * 页面的初始数据
   */
  data: {
    articleList: [],
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    const that = this;
    wx.setNavigationBarTitle({
      title: decodeURIComponent(options.title) || "列表"
    })
    wx.showLoading()
    const fs = wx.getFileSystemManager();
    wx.downloadFile({
      url: options.url,
      success: r => {
        fs.readFile({
          filePath: r.tempFilePath,
          encoding: 'utf8',
          position: 0,
          success(res) {
            that.oriList = res.data ? JSON.parse(res.data || '[]') : {};
            that.setData({
              articleList: that.oriList.splice(0, that.pageSize)
            })
            wx.hideLoading()
          },
          fail(res) {
            wx.hideLoading()
          }
        })

      },
      fail() {
        wx.hideLoading()
      }
    })
  },

  atBottom() {
    if (!this.oriList || !this.oriList.length) return;
    const list = this.data.articleList || [];
    list.push(...this.oriList.splice(0, this.pageSize))
    this.setData({
      articleList: list
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})